## ssmping 0.8.1

=== Makefile ===
PREFIX ?= /usr/local

all: ssmping asmping ssmpingd

OBJ = ssmpngcl.o ssmpingc.o

ssmping: $(OBJ)
asmping: $(OBJ)
ssmpingd: $(OBJ)

install: ssmping asmping ssmpingd
	install -D ssmping $(DESTDIR)$(PREFIX)/bin/ssmping
	install -D asmping $(DESTDIR)$(PREFIX)/bin/asmping
	install -D ssmpingd $(DESTDIR)$(PREFIX)/bin/ssmpingd
	install -D ssmping.1 $(DESTDIR)$(PREFIX)/man/man1/ssmping.1

clean:
	rm -f $(OBJ) ssmping asmping ssmpingd

## ssmping 0.9.1

=== Makefile ===
PREFIX ?= /usr/local

all: ssmping asmping ssmpingd mcfirst

OBJ = ssmpngcl.o ssmpingc.o

ssmping: $(OBJ) joinch.o
asmping: $(OBJ) joingrp.o
mcfirst: $(OBJ) joinch.o joingrp.o
ssmpingd: $(OBJ)

install: ssmping asmping ssmpingd mcfirst
	install -D ssmping $(DESTDIR)$(PREFIX)/bin/ssmping
	install -D asmping $(DESTDIR)$(PREFIX)/bin/asmping
	install -D ssmpingd $(DESTDIR)$(PREFIX)/bin/ssmpingd
	install -D mcfirst $(DESTDIR)$(PREFIX)/bin/mcfirst
	install -D ssmping.1 $(DESTDIR)$(PREFIX)/man/man1/ssmping.1
	install -D asmping.1 $(DESTDIR)$(PREFIX)/man/man1/asmping.1
	install -D mcfirst.1 $(DESTDIR)$(PREFIX)/man/man1/mcfirst.1

clean:
	rm -f $(OBJ) joinch.o joingrp.o ssmping asmping ssmpingd mcfirst

=== debian/changelog ===
ssmping (0.9.1-4) unstable; urgency=low

  * debian/compat: Update debhelper compat level to 12 (Closes: #965832)
  * debian/control:
     - Update maintainer's name
     - Update Standard-Version to 4.5.0
     - Move to priority optional (lintian fix)
  * debian/rules: Replace to fully use debhelper, this should fix
    all issues in auto builders (Closes: #956792)
  * debian/copyright: Add a note indicating that the main site does not 
    appear to be accessible anymore
  * debian/source/format: Create and indicate that package uses quilt
  * debian/patches/:
     - Add headers to all patches
     - Add a new patch to fix location of PREFIX in Makefile

 -- Javier Fernández-Sanguino Peña <jfs@debian.org>  Tue, 21 Jul 2020 23:22:29 +0200

ssmping (0.9.1-3) unstable; urgency=low

  * Fix FTBFS with new glibcs and type mismatch warning in x86_64 systems:
    -  Use socklen_t as type of variable whose address is passed as arg 3 of
       getsockname , not size_t.
    - (_GNU_SOURCE): Define, so the use of pktinfo->ipi6_ifindex works with
      recent glibc-based header files.
    Thanks to Jim Meyering for the patch.
    (Closes: 554233)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Fri, 19 Feb 2010 01:08:04 +0100

ssmping (0.9.1-2) unstable; urgency=low

  * Change debian/rules 'build' target to use the CFLAGS defined in 
    debian/rules
  * Close a FTBFS bug by defining -D_GNU_SOURCE in CFLAGS in debian/rules.
    This is needed in order to include the proper definition of
    in6_pktinfo. This seems to be a bug in libc6-dev (2.9-4) since we
    previously (libc6-dev 2.7-18) did not need this to get that definition from
    /usr/include/netinet/in.h  (Closes: #518868)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Sun, 15 Mar 2009 02:17:59 +0100

ssmping (0.9.1-1) unstable; urgency=low

  * New upstream release (Closes: #376125)
    - Fix in mcfist that made it consume 100% CPU
  * Take over this package, no maintainer response for the above bug for over
    two years.
  * debian/control changes
    - Move Homepage: to header
    - Update Standards version, no changes needed
  * Move the package over to quilt, previous maintainer used it, but in his
    git repostory. All upstream patches are now in debian/patches/series and
    the package Build-Depends: on quilt
  * Use debhelper compatibility version 5, and adjust debian/control
  * Remove unnecesary configure and binary-indep targets in the debian/rules
    file
  * Lintian fixes:
    - Remove usr/sbin from debian/dirs as it is not used, 
    - Add a proper copyright notice in debian/changelog
    - Link ssmpingd.1 to ssmping.1 since the manpage covers both tools
    - Do not ignore errors when cleaning in debian/rules, do it in the
      specific upstream command instead

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Fri, 12 Sep 2008 16:52:43 +0200

ssmping (0.9-1) unstable; urgency=low

  * New upstream release (Closes: #376125)

 -- Javier Fernandez-Sanguino Pen~a <jfs@debian.org>  Wed, 22 Aug 2007 20:45:52 +0200

ssmping (0.8.1-1) unstable; urgency=low

  * New upstream release

 -- Anand Kumria <wildfire@progsoc.org>  Wed, 28 Dec 2005 17:32:13 +1100

ssmping (0.8-1) unstable; urgency=low

  * Initial release 

 -- Anand Kumria <wildfire@progsoc.org>  Mon, 31 Oct 2005 03:29:31 +1100

=== debian/control ===
Source: ssmping
Section: net
Priority: optional
Maintainer: Javier Fernández-Sanguino Peña <jfs@debian.org>
Build-Depends: debhelper (>= 12), quilt (>= 0.40)
Standards-Version: 4.5.0
Homepage: http://www.venaas.no/multicast/ssmping/

Package: ssmping
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: check your multicast connectivity
 Tools to check whether you can receive Source Specific Multicast (SSM)
 or Any Source Multicast (ASM) via either IPv4 or IPv6
 .
 If a host runs ssmpingd, users on other hosts can use the ssmping client 
 to test whether they can receive SSM from the host. Another program 
 called asmping is also provided to check whether can receive ASM.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# debian/rules file for ssmping
# based on the sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export CFLAGS=-D_GNU_SOURCE

%:
	dh $@
